## trend 0.0.1

=== DESCRIPTION ===
Package: trend
Version: 0.0.1
Date: 2015-03-23
Title: Non-Parametric Trend Tests and Change-Point Detection
Author: Thorsten Pohlert
Maintainer: Thorsten Pohlert <thorsten.pohlert@gmx.de>
Depends: R (>= 2.12.0)
Description: The analysis of environmental data often requires
	     the detection of trends and change-points. 
	     This package provides the Mann-Kendall Trend Test,
             seasonal Mann-Kendall Test,
             correlated seasonal Mann-Kendall Test,
             partial Mann-Kendall Trend test,
	     (Seasonal) Sen's slope, partial correlation trend test and
	     change-point test after Pettitt.
License: GPL-3
ZipData: yes
NeedsCompilation: yes
Suggests: Kendall, zyp
Packaged: 2015-03-24 13:04:34 UTC; thorpohl
Repository: CRAN
Date/Publication: 2015-03-24 18:20:23

## trend 0.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: trend
-Version: 0.0.1
-Date: 2015-03-23
+Version: 0.0.2
+Date: 2015-11-12
 Title: Non-Parametric Trend Tests and Change-Point Detection
 Author: Thorsten Pohlert
 Maintainer: Thorsten Pohlert <thorsten.pohlert@gmx.de>
@@ -17,6 +17,6 @@
 ZipData: yes
 NeedsCompilation: yes
 Suggests: Kendall, zyp
-Packaged: 2015-03-24 13:04:34 UTC; thorpohl
+Packaged: 2015-11-12 08:27:35 UTC; thorpohl
 Repository: CRAN
-Date/Publication: 2015-03-24 18:20:23
+Date/Publication: 2015-11-12 13:08:59

## trend 0.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: trend
-Version: 0.0.2
-Date: 2015-11-12
+Version: 0.1.0
+Date: 2016-01-04
 Title: Non-Parametric Trend Tests and Change-Point Detection
 Author: Thorsten Pohlert
 Maintainer: Thorsten Pohlert <thorsten.pohlert@gmx.de>
@@ -17,6 +17,6 @@
 ZipData: yes
 NeedsCompilation: yes
 Suggests: Kendall, zyp
-Packaged: 2015-11-12 08:27:35 UTC; thorpohl
+Packaged: 2016-01-06 08:13:15 UTC; thorpohl
 Repository: CRAN
-Date/Publication: 2015-11-12 13:08:59
+Date/Publication: 2016-01-06 10:01:24

## trend 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: trend
-Version: 0.1.0
-Date: 2016-01-04
+Version: 0.2.0
+Date: 2016-05-14
 Title: Non-Parametric Trend Tests and Change-Point Detection
 Author: Thorsten Pohlert
 Maintainer: Thorsten Pohlert <thorsten.pohlert@gmx.de>
@@ -17,6 +17,6 @@
 ZipData: yes
 NeedsCompilation: yes
 Suggests: Kendall, zyp
-Packaged: 2016-01-06 08:13:15 UTC; thorpohl
+Packaged: 2016-05-14 13:31:34 UTC; thorpohl
 Repository: CRAN
-Date/Publication: 2016-01-06 10:01:24
+Date/Publication: 2016-05-14 23:19:30

## trend 1.0.0

=== DESCRIPTION ===
Package: trend
Version: 1.0.0
Date: 2017-07-30
Title: Non-Parametric Trend Tests and Change-Point Detection
Author: Thorsten Pohlert
Maintainer: Thorsten Pohlert <thorsten.pohlert@gmx.de>
Depends: R (>= 3.0)
Description: The analysis of environmental data often requires
	     the detection of trends and change-points. 
	     This package includes tests for trend detection
	     (Cox-Stuart Trend Test, Mann-Kendall Trend Test, 
	     (correlated) Hirsch-Slack Test,
             partial Mann-Kendall Trend Test, multivariate (multisite)
	     Mann-Kendall Trend Test, (Seasonal) Sen's slope, 
	     partial Pearson and Spearman correlation trend test),
             change-point detection (Pettitt's test, Buishand Range Test,
	     Buishand U Test, Standard Normal Homogeinity Test),
	     detection of non-randomness (Wallis-Moore Phase Frequency Test,
	     Bartels rank von Neumann's ratio test, Wald-Wolfowitz Test).
Imports: extraDistr (>= 1.8.0)
License: GPL-3
Encoding: UTF-8
ZipData: yes
NeedsCompilation: yes
RoxygenNote: 6.0.1
Packaged: 2017-07-30 11:46:36 UTC; thorsten
Repository: CRAN
Date/Publication: 2017-07-30 15:27:10 UTC

## trend 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: trend
-Version: 1.0.0
-Date: 2017-07-30
+Version: 1.0.1
+Date: 2017-11-12
 Title: Non-Parametric Trend Tests and Change-Point Detection
 Author: Thorsten Pohlert
 Maintainer: Thorsten Pohlert <thorsten.pohlert@gmx.de>
@@ -23,6 +23,6 @@
 ZipData: yes
 NeedsCompilation: yes
 RoxygenNote: 6.0.1
-Packaged: 2017-07-30 11:46:36 UTC; thorsten
+Packaged: 2017-11-12 20:04:17 UTC; thorsten
 Repository: CRAN
-Date/Publication: 2017-07-30 15:27:10 UTC
+Date/Publication: 2017-11-13 00:05:07 UTC

## trend 1.1.0

=== DESCRIPTION ===
Package: trend
Version: 1.1.0
Date: 2018-01-02
Title: Non-Parametric Trend Tests and Change-Point Detection
Author: Thorsten Pohlert
Maintainer: Thorsten Pohlert <thorsten.pohlert@gmx.de>
Depends: R (>= 3.0)
Description: The analysis of environmental data often requires
	     the detection of trends and change-points. 
	     This package includes tests for trend detection
	     (Cox-Stuart Trend Test, Mann-Kendall Trend Test, 
	     (correlated) Hirsch-Slack Test,
             partial Mann-Kendall Trend Test, multivariate (multisite)
	     Mann-Kendall Trend Test, (Seasonal) Sen's slope, 
	     partial Pearson and Spearman correlation trend test),
             change-point detection (Lanzante's test procedures, 
	     Pettitt's test, Buishand Range Test,
	     Buishand U Test, Standard Normal Homogeinity Test),
	     detection of non-randomness (Wallis-Moore Phase Frequency Test,
	     Bartels rank von Neumann's ratio test, Wald-Wolfowitz Test)
	     and the two sample Robust Rank-Order Distributional Test.
Imports: extraDistr (>= 1.8.0)
Classification/MSC-2010: 62F03, 62G10, 62M10, 62P12
License: GPL-3
Encoding: UTF-8
ZipData: yes
NeedsCompilation: yes
RoxygenNote: 6.0.1
Packaged: 2018-01-02 14:14:16 UTC; thorsten
Repository: CRAN
Date/Publication: 2018-01-03 13:30:35 UTC

## trend 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: trend
-Version: 1.1.0
-Date: 2018-01-02
+Version: 1.1.1
+Date: 2018-07-18
 Title: Non-Parametric Trend Tests and Change-Point Detection
 Author: Thorsten Pohlert
 Maintainer: Thorsten Pohlert <thorsten.pohlert@gmx.de>
@@ -26,6 +26,6 @@
 ZipData: yes
 NeedsCompilation: yes
 RoxygenNote: 6.0.1
-Packaged: 2018-01-02 14:14:16 UTC; thorsten
+Packaged: 2018-07-30 16:47:07 UTC; thorsten
 Repository: CRAN
-Date/Publication: 2018-01-03 13:30:35 UTC
+Date/Publication: 2018-07-30 17:30:03 UTC

## trend 1.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Package: trend
-Version: 1.1.1
-Date: 2018-07-18
+Version: 1.1.2
+Date: 2020-01-11
 Title: Non-Parametric Trend Tests and Change-Point Detection
-Author: Thorsten Pohlert
-Maintainer: Thorsten Pohlert <thorsten.pohlert@gmx.de>
+Authors@R: person(given = "Thorsten", family = "Pohlert",
+                 email = "thorsten.pohlert@gmx.de",
+                 comment = c(ORCID = "0000-0003-3855-3025"),
+                 role = c("aut", "cre"))
 Depends: R (>= 3.0)
 Description: The analysis of environmental data often requires
 	     the detection of trends and change-points. 
@@ -25,7 +27,9 @@
 Encoding: UTF-8
 ZipData: yes
 NeedsCompilation: yes
-RoxygenNote: 6.0.1
-Packaged: 2018-07-30 16:47:07 UTC; thorsten
+RoxygenNote: 7.0.2
+Packaged: 2020-01-11 15:30:51 UTC; thorsten
+Author: Thorsten Pohlert [aut, cre] (<https://orcid.org/0000-0003-3855-3025>)
+Maintainer: Thorsten Pohlert <thorsten.pohlert@gmx.de>
 Repository: CRAN
-Date/Publication: 2018-07-30 17:30:03 UTC
+Date/Publication: 2020-01-13 09:40:02 UTC

## trend 1.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: trend
-Version: 1.1.2
-Date: 2020-01-11
+Version: 1.1.3
+Date: 2020-08-31
 Title: Non-Parametric Trend Tests and Change-Point Detection
 Authors@R: person(given = "Thorsten", family = "Pohlert",
                  email = "thorsten.pohlert@gmx.de",
@@ -22,14 +22,15 @@
 	     Bartels rank von Neumann's ratio test, Wald-Wolfowitz Test)
 	     and the two sample Robust Rank-Order Distributional Test.
 Imports: extraDistr (>= 1.8.0)
+Suggests: strucchange, Kendall, psych
 Classification/MSC-2010: 62F03, 62G10, 62M10, 62P12
 License: GPL-3
 Encoding: UTF-8
 ZipData: yes
 NeedsCompilation: yes
-RoxygenNote: 7.0.2
-Packaged: 2020-01-11 15:30:51 UTC; thorsten
+RoxygenNote: 7.1.1
+Packaged: 2020-08-31 20:10:50 UTC; thorsten
 Author: Thorsten Pohlert [aut, cre] (<https://orcid.org/0000-0003-3855-3025>)
 Maintainer: Thorsten Pohlert <thorsten.pohlert@gmx.de>
 Repository: CRAN
-Date/Publication: 2020-01-13 09:40:02 UTC
+Date/Publication: 2020-09-01 06:00:02 UTC

## trend 1.1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: trend
-Version: 1.1.3
-Date: 2020-08-31
+Version: 1.1.4
+Date: 2020-09-17
 Title: Non-Parametric Trend Tests and Change-Point Detection
 Authors@R: person(given = "Thorsten", family = "Pohlert",
                  email = "thorsten.pohlert@gmx.de",
@@ -29,8 +29,8 @@
 ZipData: yes
 NeedsCompilation: yes
 RoxygenNote: 7.1.1
-Packaged: 2020-08-31 20:10:50 UTC; thorsten
+Packaged: 2020-09-17 19:12:41 UTC; thorsten
 Author: Thorsten Pohlert [aut, cre] (<https://orcid.org/0000-0003-3855-3025>)
 Maintainer: Thorsten Pohlert <thorsten.pohlert@gmx.de>
 Repository: CRAN
-Date/Publication: 2020-09-01 06:00:02 UTC
+Date/Publication: 2020-09-17 19:50:03 UTC

## trend 1.1.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: trend
-Version: 1.1.4
-Date: 2020-09-17
+Version: 1.1.5
+Date: 2023-03-26
 Title: Non-Parametric Trend Tests and Change-Point Detection
 Authors@R: person(given = "Thorsten", family = "Pohlert",
                  email = "thorsten.pohlert@gmx.de",
@@ -22,15 +22,15 @@
 	     Bartels rank von Neumann's ratio test, Wald-Wolfowitz Test)
 	     and the two sample Robust Rank-Order Distributional Test.
 Imports: extraDistr (>= 1.8.0)
-Suggests: strucchange, Kendall, psych
+Suggests: strucchange, Kendall, psych, datasets
 Classification/MSC-2010: 62F03, 62G10, 62M10, 62P12
 License: GPL-3
 Encoding: UTF-8
 ZipData: yes
 NeedsCompilation: yes
-RoxygenNote: 7.1.1
-Packaged: 2020-09-17 19:12:41 UTC; thorsten
+RoxygenNote: 7.2.2
+Packaged: 2023-03-26 12:38:51 UTC; thorsten
 Author: Thorsten Pohlert [aut, cre] (<https://orcid.org/0000-0003-3855-3025>)
 Maintainer: Thorsten Pohlert <thorsten.pohlert@gmx.de>
 Repository: CRAN
-Date/Publication: 2020-09-17 19:50:03 UTC
+Date/Publication: 2023-03-26 17:20:02 UTC

## trend 1.1.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: trend
-Version: 1.1.5
-Date: 2023-03-26
+Version: 1.1.6
+Date: 2023-10-10
 Title: Non-Parametric Trend Tests and Change-Point Detection
 Authors@R: person(given = "Thorsten", family = "Pohlert",
                  email = "thorsten.pohlert@gmx.de",
@@ -29,8 +29,8 @@
 ZipData: yes
 NeedsCompilation: yes
 RoxygenNote: 7.2.2
-Packaged: 2023-03-26 12:38:51 UTC; thorsten
+Packaged: 2023-10-10 07:57:22 UTC; thorsten
 Author: Thorsten Pohlert [aut, cre] (<https://orcid.org/0000-0003-3855-3025>)
 Maintainer: Thorsten Pohlert <thorsten.pohlert@gmx.de>
 Repository: CRAN
-Date/Publication: 2023-03-26 17:20:02 UTC
+Date/Publication: 2023-10-10 08:50:02 UTC

## trend 1.2

=== src/Makefile ===
## Makefile for trend
## Copyright(c) 2003-2009 by wave++ "Yuri D'Elia" <wavexx@users.sf.net>
## Distributed under GNU LGPL WITHOUT ANY WARRANTY.

#if $(CXX) == "CC"
# pmake (assume Mipspro)
TREND_CXXFLAGS :=
TREND_CPPFLAGS := -I/usr/freeware/include -I/usr/local/include
TREND_LDFLAGS := -FE:template_in_elf_section -quiet_prelink
TREND_LDADD := -lpthread -L/usr/freeware/lib32 -L/usr/local/lib32 -lm -lglut -lGL -lGLU -lX11 -lXmu
#else
ifeq ($(shell uname), Darwin)
# OS X (_nice_ framework system, I admit)
TREND_CXXFLAGS := -pthread
TREND_CPPFLAGS :=
TREND_LDFLAGS :=
TREND_LDADD := -framework GLUT -framework OpenGL
else
# classic posix
TREND_CXXFLAGS := -pthread
TREND_CPPFLAGS := -MD
TREND_LDFLAGS :=
TREND_LDADD := -lglut -lGL -lGLU
endif
#endif

CXXFLAGS += $(TREND_CXXFLAGS)
CPPFLAGS += $(TREND_CPPFLAGS)
LDFLAGS += $(TREND_LDFLAGS)
LDADD += $(TREND_LDADD)


# Config
TREND_BUILT = version.h
TREND_OBJECTS = trend.o color.o
TARGETS = trend


# Rules
.SUFFIXES: .cc .o
.PHONY: all dist clean distclean

.cc.o:
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c -o $@ $<


# Targets
all: $(TARGETS)

dist: $(TREND_BUILT)

trend: $(TREND_OBJECTS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@ $(TREND_OBJECTS) $(LDADD)

# just update upon tagging
version.h:
	echo -n `git describe` | cencode -q 'static const' -s TREND_VERSION > $@

distclean: clean
	rm -rf $(TREND_BUILT)

clean:
	rm -rf *.[do] core ii_files $(TARGETS)


# Dependencies
trend.o: version.h
sinclude *.d

=== debian/changelog ===
trend (1.2-2) unstable; urgency=low

  * Use source format 3.0 (quilt).
  * Bump debhelper compat version to 9.
  * Standards-Version 3.9.6 (no changes needed).
  * Switch to machine-readable copyright file.
  * Enable hardening.
  * Automatic handling of DEB_BUILD_OPTIONS.
  * Move package maintenance to collab-maint.
  * Add Otto Kekäläinen to uploaders.

 -- Yuri D'Elia <wavexx@thregr.org>  Fri, 01 Jan 2016 14:33:48 +0100

trend (1.2-1) unstable; urgency=low

  * New upstream version fixes linking with "gold" (Closes: #556503).
  * Remove explicit manipulation of MAKEFLAGS for parallel building,
    not needed anymore with debhelper 7 (see #532805).

 -- Yuri D'Elia <wavexx@thregr.org>  Tue, 17 Nov 2009 16:54:51 +0100

trend (1.1-3) unstable; urgency=low

  * Remove build dependencies on dead virtual package freeglut-dev entirely
    (fixes FTBS for old freeglut3 packages).

 -- Yuri D'Elia <wavexx@thregr.org>  Thu, 03 Sep 2009 15:06:32 +0200

trend (1.1-2) unstable; urgency=low

  * Bump Standars-Version to 3.8.3 (no changes needed).
  * Fix versioned dependency on debhelper.
  * Fix debian/copyright consistency.
  * Fix build dependencies on freeglut3-dev.

 -- Yuri D'Elia <wavexx@thregr.org>  Tue, 01 Sep 2009 14:17:10 +0200

trend (1.1-1) unstable; urgency=low

  * Initial release (Closes: #541106).

 -- Yuri D'Elia <wavexx@thregr.org>  Fri, 14 Aug 2009 21:24:26 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Rules
%:
	dh $@ --sourcedirectory=src --parallel

override_dh_auto_clean:
	$(MAKE) -Csrc clean

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
opts=uversionmangle=s/^(\d{8})$/0.$1/ \
  http://www.thregr.org/~wavexx/software/trend/releases/trend-(.*)\.tar\.gz

## trend 1.3

=== debian/changelog ===
trend (1.3-1) unstable; urgency=low

  * New upstream version.
  * Fixes FTBS with GCC 6 (Closes: #811898).

 -- Yuri D'Elia <wavexx@thregr.org>  Wed, 20 Jan 2016 22:02:43 +0100

=== debian/control ===
Source: trend
Section: utils
Priority: extra
Maintainer: Yuri D'Elia <wavexx@thregr.org>
Uploaders: Otto Kekäläinen <otto@seravo.fi>
Build-Depends: debhelper (>= 9), freeglut3-dev
Standards-Version: 3.9.6
Homepage: http://www.thregr.org/~wavexx/software/trend/
Vcs-Git: git://anonscm.debian.org/collab-maint/trend.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/trend.git

Package: trend
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: general-purpose, efficient trend graph
 trend is a general-purpose, efficient trend graph for "live" data. Data
 is read in ASCII form from a file or continuously from a FIFO and
 displayed in real-time into a multi-pass trend (much like a CRT
 oscilloscope). trend can be used as a rapid analysis tool for
 progressive or time-based data series together with trivial scripting.

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 	$(MAKE) -Csrc clean
 
 override_dh_installchangelogs:
-	dh_installchangelogs NEWS
+	dh_installchangelogs NEWS.rst

## trend 1.4

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ## Makefile for trend
-## Copyright(c) 2003-2009 by wave++ "Yuri D'Elia" <wavexx@users.sf.net>
+## Copyright(c) 2003-2009 by wave++ "Yuri D'Elia" <wavexx@thregr.org>
 ## Distributed under GNU LGPL WITHOUT ANY WARRANTY.
 
 #if $(CXX) == "CC"

=== debian/changelog ===
trend (1.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Otto Kekäläinen ]
  * Mark autopkgtests with new 'superficial' as it applies to this package

  [ Pablo Mestre Drake ]
  * Update salsa-ci.yml file to use the standard version
  * Migrate Standards-Version to 4.5.0 and DH 13
  * Add upstream metadata

 -- Otto Kekäläinen <otto@debian.org>  Sat, 23 May 2020 10:10:38 +0300

trend (1.4-1) unstable; urgency=low

  * New upstream version.
  * Fixes FTBS with GCC 6.1 (Closes: #831108).
  * Standards-Version 3.9.8 (no changes needed).
  * Switch Vcs-Git to https.

 -- Yuri D'Elia <wavexx@thregr.org>  Sun, 17 Jul 2016 12:54:57 +0200

=== debian/control ===
Source: trend
Section: utils
Priority: optional
Maintainer: Yuri D'Elia <wavexx@thregr.org>
Uploaders: Otto Kekäläinen <otto@debian.org>
Build-Depends: debhelper-compat (= 13),
               freeglut3-dev
Standards-Version: 4.5.0
Homepage: http://www.thregr.org/~wavexx/software/trend/
Vcs-Git: https://salsa.debian.org/debian/trend.git
Vcs-Browser: https://salsa.debian.org/debian/trend
Rules-Requires-Root: no

Package: trend
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: general-purpose, efficient trend graph
 trend is a general-purpose, efficient trend graph for "live" data. Data
 is read in ASCII form from a file or continuously from a FIFO and
 displayed in real-time into a multi-pass trend (much like a CRT
 oscilloscope). trend can be used as a rapid analysis tool for
 progressive or time-based data series together with trivial scripting.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # Rules
 %:
-	dh $@ --sourcedirectory=src --parallel
+	dh $@ --sourcedirectory=src
 
 override_dh_auto_clean:
 	$(MAKE) -Csrc clean

=== debian/watch ===
version=3
opts=uversionmangle=s/^(\d{8})$/0.$1/ \
  https://www.thregr.org/~wavexx/software/trend/releases/trend-(\d.*)\.tar\.gz
